<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright (c) 2021, 2024 Contributors to the Eclipse Foundation

    This program and the accompanying materials are made
    available under the terms of the Eclipse Public License 2.0
    which is available at https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

-->
<?eclipse version="3.4"?>
<plugin>
   <extension
         id="my.test.e4.ui.fragment"
         point="org.eclipse.e4.workbench.model">
      <fragment
            uri="fragment.e4xmi">
      </fragment>
   </extension>


   <extension
         point="org.eclipse.core.expressions.definitions">
      <definition
            id="org.eclipse.lsat.scheduler.sort">
         <or>
            <reference
                  definitionId="org.eclipse.lsat.machine.oneMachine">
            </reference>
            <reference
                  definitionId="org.eclipse.lsat.machine.oneSetting">
            </reference>
            <!--  This functionality was not requested by the client.
                 It is used only for testing purposes in the RCPTT test cases.
                 -->
              <with
               variable="selection">
            <count
                  value="1">
            </count>
            <iterate
                  ifEmpty="false">
               <adapt
                     type="org.eclipse.core.resources.IFile">
                  <test
                        property="org.eclipse.core.resources.extension"
                        value="etf">
                  </test>
               </adapt>
            </iterate>
         </with>
         </or>
      </definition>
   </extension></plugin>
